# Uses of Interface
com.sun.source.tree.OpensTree

Packages that use OpensTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of OpensTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type OpensTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitOpens(OpensTree node, P p)`
Visits an `OpensTree` node.

## Uses of OpensTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type OpensTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitOpens(OpensTree node, P p)`
Visits an `OpensTree` node.
`R`
TreeScanner.`visitOpens(OpensTree node, P p)`
Visits an `OpensTree` node.